Bug 626654 - systemctl is in systemd-units
systemctl is in systemd-units
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 22:11 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 15:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-08-23 22:11:19 EDT
Description of problem:

Shouldn't in be in the main systemd package?

Version-Release number of selected component (if applicable):

systemd-units-7-3.fc14.x86_64
Comment 1 Lennart Poettering 2010-08-24 15:02:27 EDT
No, this is intended this way: the -units package exists so that packages can depend on it without actually pulling in the main systemd package.

For this to work the units package contains exactly what is is necessary for the %post rpm scripts which install systemd services files to work: the unit directories where to place the units in, a few dependencies and the systemctl tool which is used to remove/create symlinks.

Note You need to log in before you can comment on or make changes to this bug.